SELECT kRezyserzyDane.* INTO tRezyserzy
FROM (
	SELECT kRezyserzyO1.autor, kRezyserzyO1.imie, kRezyserzyO1.nazwisko
	FROM (
		SELECT DISTINCT FW.autor, Left([autor],InStr([autor]," ")-1) AS imie, Right([autor],Len([autor])-InStr([autor]," ")) AS nazwisko
		FROM FW
		WHERE (((FW.autor) Is Not Null) AND ((FW.autor) Not Like "* * *"))
	) AS kRezyserzyO1

	union all

	SELECT kRezyserzyO2R1.autor, kRezyserzyO2R1.imie, kRezyserzyO2R1.nazwisko
	FROM (
		SELECT DISTINCT FW.autor, Left([autor],InStr([autor]," ")-1) AS imie, Mid([autor],InStr([autor]," ")+1,InStr([autor],",")-InStr([autor]," ")-1) AS nazwisko
		FROM FW
		WHERE (((FW.autor) Is Not Null And (FW.autor) Like "*,*"))
	) AS kRezyserzyO2R1

	union all

	SELECT kRezyserzyO2R2.autor, kRezyserzyO2R2.imie, kRezyserzyO2R2.nazwisko
	FROM (
		SELECT DISTINCT FW.autor, Mid([autor],InStr([autor],",")+2,InStr(InStr([autor],",")+2,[autor]," ")-InStr([autor],",")-2) AS imie, Right([autor],Len([autor])-InStr(InStr([autor],",")+2,[autor]," ")) AS nazwisko
		FROM FW
		WHERE (((FW.autor) Is Not Null And (FW.autor) Like "*,*"))
	) AS kRezyserzyO2R2

	UNION ALL

	SELECT [tRezyserzy-EDYCJA].autor, [tRezyserzy-EDYCJA].imie, [tRezyserzy-EDYCJA].nazwisko
	FROM [tRezyserzy-EDYCJA]
) as kRezyserzyDane;
